org.springframework.batch.core.scope.context

## Class ChunkContext

- java.lang.Object
- - org.springframework.core.AttributeAccessorSupport
  - - org.springframework.batch.core.scope.context.ChunkContext

- All Implemented Interfaces:
    java.io.Serializable, org.springframework.core.AttributeAccessor

      public class ChunkContext
      extends org.springframework.core.AttributeAccessorSupport

  Context object for weakly typed data stored for the duration of a chunk (usually a group of items processed together in a transaction). If there is a rollback and the chunk is retried the same context will be associated with it.
  Author:
    Dave Syer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkContext(StepContext stepContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StepContext` | `getStepContext()`
    `boolean` | `isComplete()`
    `void` | `setComplete()` Setter for the flag to signal complete processing of a chunk.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.springframework.core.AttributeAccessorSupport

      `attributeNames, computeAttribute, copyAttributesFrom, equals, getAttribute, hasAttribute, hashCode, removeAttribute, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkContext

          public ChunkContext(StepContext stepContext)

      Parameters:
        `stepContext` - the current step context

  - ### Method Detail

    - #### getStepContext

          public StepContext getStepContext()

      Returns:
        the current step context

    - #### isComplete

          public boolean isComplete()

      Returns:
        true if there is no more processing to be done on this chunk

    - #### setComplete

          public void setComplete()

      Setter for the flag to signal complete processing of a chunk.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`